Get line number for a node

- « DOMNode::contains

- DOMNode::getNodePath »

- PHP Manual
- DOMNode
- Get line number for a node

# DOMNode::getLineNo

(PHP 5 >= 5.3.0, PHP 7, PHP 8)

DOMNode::getLineNo — Get line number for a node

### Description

public DOMNode::getLineNo(): int

Gets line number for where the node is defined.

### Parameters

This function has no parameters.

### Return Values

Always returns the line number where the node was defined in.

### Examples

Example #1 DOMNode::getLineNo() example

    <?php// XML dump for below example$xml = <<<XML<?xml version="1.0" encoding="utf-8"?><root>    <node /></root>XML;// Create a new DOMDocument instance$dom = new DOMDocument;// Load the XML$dom->loadXML($xml);// Print where the line where the 'node' element was defined inprintf('The <node> tag is defined on line %d', $dom->getElementsByTagName('node')->item(0)->getLineNo());?>

The above example will output:

    The <node> tag is defined in line 3